project_chrono@project_chrono:~/chrono/template_project_ros/build$ source /opt/ros/humble/setup.bash 

project_chrono@project_chrono:~/chrono/template_project_ros/build$ cmake .. -DChrono_DIR=/home/project_chrono/chrono/build/cmake/ -DCMAKE_BUILD_TYPE=Release -DCMAKE_CXX_FLAGS_RELEASE="-O3"
-- The C compiler identification is GNU 11.4.0
-- The CXX compiler identification is GNU 11.4.0
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working C compiler: /usr/bin/cc - skipped
-- Detecting C compile features
-- Detecting C compile features - done
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++ - skipped
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Requested component: ROS
--   dependencies: VEHICLE;IRRLICHT;VSG;FSI;SENSOR;PARSERS;PARDISOMKL
--   required?     TRUE
-- Inclusive list of Chrono components: ROS;VEHICLE;IRRLICHT;VSG;FSI;SENSOR;PARSERS;PARDISOMKL
-- Eigen3 found
-- Found OpenMP_CXX: -fopenmp (found version "4.5") 
-- Found OpenMP: TRUE (found version "4.5") found components: CXX 
-- OpenMP found
-- Looking for pthread.h
-- Looking for pthread.h - found
-- Performing Test CMAKE_HAVE_LIBC_PTHREAD
-- Performing Test CMAKE_HAVE_LIBC_PTHREAD - Success
-- Found Threads: TRUE  
-- The CUDA compiler identification is NVIDIA 12.3.107
-- Detecting CUDA compiler ABI info
-- Detecting CUDA compiler ABI info - done
-- Check for working CUDA compiler: /usr/local/cuda/bin/nvcc - skipped
-- Detecting CUDA compile features
-- Detecting CUDA compile features - done
-- CUDA found
-- Thrust found
-- MPI found
-- Requested components
--   ROS (REQUIRED)
-- Found Python3: /usr/bin/python3 (found version "3.10.12") found components: Interpreter 
-- Found rosidl_generator_c: 3.1.7 (/opt/ros/humble/share/rosidl_generator_c/cmake)
-- Found rosidl_adapter: 3.1.7 (/opt/ros/humble/share/rosidl_adapter/cmake)
-- Found rosidl_generator_cpp: 3.1.7 (/opt/ros/humble/share/rosidl_generator_cpp/cmake)
-- Using all available rosidl_typesupport_c: rosidl_typesupport_fastrtps_c;rosidl_typesupport_introspection_c
-- Using all available rosidl_typesupport_cpp: rosidl_typesupport_fastrtps_cpp;rosidl_typesupport_introspection_cpp
-- Found rmw_implementation_cmake: 6.1.2 (/opt/ros/humble/share/rmw_implementation_cmake/cmake)
-- Found rmw_fastrtps_cpp: 6.2.8 (/opt/ros/humble/share/rmw_fastrtps_cpp/cmake)
-- Found OpenSSL: /usr/lib/x86_64-linux-gnu/libcrypto.so (found version "3.0.2")  
-- Found FastRTPS: /opt/ros/humble/include  
-- Using RMW implementation 'rmw_fastrtps_cpp' as default
--   VEHICLE (OPTIONAL)
--   IRRLICHT (OPTIONAL)
-- Looking for Irrlicht...
--   VSG (OPTIONAL)
-- Found Vulkan: /usr/lib/x86_64-linux-gnu/libvulkan.so (Required is at least version "1.1.70.0") 
-- Found PkgConfig: /usr/bin/pkg-config (found version "0.29.2") 
-- Checking for module 'xcb'
--   Found xcb, version 1.14
-- Reading 'vsg_...' macros from /home/project_chrono/packages/vsg/lib/cmake/vsg/vsgMacros.cmake - look there for documentation
--   FSI (OPTIONAL)
--   SENSOR (OPTIONAL)
-- Found CUDAToolkit: /usr/local/cuda/include (found version "12.3.107") 
--   PARSERS (OPTIONAL)
--   PARDISOMKL (OPTIONAL)
-- Chrono libraries not found for the debug configuration: Chrono_pardisomkl;Chrono_parsers;Chrono_sensor;Chrono_fsisph_vsg;Chrono_fsisph;Chrono_vsg;Chrono_irrlicht;Chrono_vehicle_vsg;Chrono_vehicle_irrlicht;ChronoModels_vehicle;Chrono_vehicle;Chrono_ros;ChronoModels_robot;Chrono_core
-- Configuration summary
--   CHRONO_TARGETS           (Chrono targets): Chrono::Chrono_pardisomkl;Chrono::Chrono_parsers;Chrono::Chrono_sensor;Chrono::Chrono_fsisph_vsg;Chrono::Chrono_fsisph;Chrono::Chrono_vsg;Chrono::Chrono_irrlicht;Chrono::Chrono_vehicle_vsg;Chrono::Chrono_vehicle_irrlicht;Chrono::ChronoModels_vehicle;Chrono::Chrono_vehicle;Chrono::Chrono_ros;Chrono::ChronoModels_robot;Chrono::Chrono_core
--   CHRONO_DATA_DIR          (Path to Chrono data folder): /home/project_chrono/chrono/build/data/
--   CHRONO_VEHICLE_DATA_DIR  (Path to Chrono::Vehicle data folder): /home/project_chrono/chrono/build/data/vehicle/
--   CHRONO_FSI_DATA_DIR      (Path to Chrono::FSI data folder): /home/project_chrono/chrono/build/data/fsi/
-- Configuring done
CMake Warning at CMakeLists.txt:96 (add_executable):
  Cannot generate a safe runtime search path for target custom_handler
  because files in some directories may conflict with libraries in implicit
  directories:

    runtime library [libconsole_bridge.so.1.0] in /usr/lib/x86_64-linux-gnu may be hidden by files in:
      /home/project_chrono/packages/urdf/lib

  Some of these libraries may not be found correctly.


-- Generating done
-- Build files have been written to: /home/project_chrono/chrono/template_project_ros/build
project_chrono@project_chrono:~/chrono/template_project_ros/build$ make
[ 50%] Building CXX object CMakeFiles/custom_handler.dir/custom_handler.cpp.o
[100%] Linking CXX executable custom_handler
[100%] Built target custom_handler


project_chrono@project_chrono:~/chrono/template_project_ros/build$ ./custom_handler 
Copyright (c) 2023 projectchrono.org
Chrono version: 9.0.1

Initializing rclcpp.
Segmentation fault (core dumped)
project_chrono@project_chrono:~/chrono/template_project_ros/build$ 